#Contribute To Event Organiser

Community made patches, localisations, bug reports and contributions are always welcome and are *crucial* to ensure Event Organiser remains the most easy to use and versatile event management plug-ins for WordPress.

But to help keep things organised, please review these guidelines.

**Please Note:** GitHub is for bug reports and contributions only - if you have a support question or a request for a customisation don't post here, but go to the [Support Forum](https://wp-event-organiser.com/forums/) instead.


## Contents

 1. Am I in the right place?
 2. Reporting bugs
 3. Contributing code / making a Pull request
 4. Additional resources



## Am I in the right place?

 * *[Have you looked at the FAQ?](http://wp-event-organiser.com/faq/)?*. Check there first please!
 * If you've got a **support question**, please go to the [support forum](https://wp-event-organiser.com/forums/).
 * If you've got a **pre-sale question** for the Pro add-on, please [ask it here](http://wp-event-organiser.com/forums/forum/pre-sales-questions-pro/).
 * If you're **reporting a bug** for any purchased item please go to the [customer support forums](https://wp-event-organiser.com/forums/).
 * If you're **reporting a bug** for the the free version, then you're in the right place. 

 
## Reporting bugs

 * [Submit a ticket](https://github.com/stephenharris/Event-Organiser/issues?state=open) for your issue, unless one already exists. 
 * Clearly describe the issue, including steps to reproduce the bug.
 * Please specify the versions of Event Organiser & WordPress.

 
## Contributing code (aka you're brilliant)

Contributions are always welcome, but please follow these simple guidelines to help keep everything organised. 

 * Fork the repository on GitHub using the **develop**.
 * Please use a **seperate branch**, and **seperate pull** request for each **unrelated feature**. 
 * Make the changes to your forked repository.
 * Please comment your code, (and generally adhere to the [WordPress Coding Standards](https://codex.wordpress.org/WordPress_Coding_Standards)).
 * If you're unsure of something, just [ask](http://wp-event-organiser.com/contact)!
 * Commit little and often, in logical chunks.
 * When committing, reference your issue (if applicable) and give a brief description of the changes made.
 * Push the changes to your fork and submit a pull request to the **develop** branch of the Event Organiser repository.


## Additional Resources

* [General GitHub Documentation](https://help.github.com/)
* [GitHub Pull Request documentation](https://help.github.com/send-pull-requests/)