<?php
/*
Template Name: Homepage
*/
    get_header();
?>

	<div class="row">
		<div class="col-md-12 padding_zero">
			<section class="slider">
				<div class="callbacks_container slider_img">
		      	<ul class="rslides" id="slider4">
		      		<?php
		      			$args = array('post_type' => 'slide', 'posts_per_page' => 5);
		      			$slides = get_posts($args);
		      			foreach($slides as $post){
		      				setup_postdata($post);
		      		?>
			        <li>
			          	<img src="<?php $img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large'); echo $img[0]; ?>" alt="">
			          	<p class="caption"><?=the_title()?></p>
			        </li>
			        <?php
			        	}
			        	wp_reset_postdata();
			        ?>
		      </ul>
		    </div>
			</section>
		</div>
	</div>
	<div class="row main_bg">
		<div class="col-md-12 padding_top">
			<section class="fix_width mc_bg">
				<div class="col-md-8 main_media">
					<div class="media_text">
					    <h4>BANGLA LANGUAGE INSTITUTE</h4>
					    <p>Welcome to Bangla Language Institute (BLI) at Independent University, 
					    Bangladesh (IUB). BLI is one of the few institutes in the world offering 
					    Bangla as a foreign language in an immersion environment. We cater to the 
					    needs of international students, researchers, scholars, diplomats, the 
					    international business community and anyone interested in learning Bangla language. 
					    BLI hosts the fellows of Critical Language Scholarship (CLS) program, 
					    Fulbright Language Training Program and Foreign Language Area Studies (FLAS) award, 
					    Boren, NSF and other prestigious US Department of State awardees. In summer 2015, 
					    we celebrated the 10th year of Bangla as a foreign language program at IUB.</p>
						<p style="text-align: right;"><a href="<?=site_url()?>/overview/">Read More About Us</a></p>
					</div>
					<div class="main_calendar">
						<div class="calendar_events" style="border:5px solid #709F9B;">
              
							 <h3>News & Events</h3>
						</div>
						<div class="auto_text_slide" style="height: 454px; overflow: hidden;">
							<ul>
								<?php
	                                $args = array('post_type' => 'news');
	                                $news = get_posts($args);
	                                foreach($news as $post): setup_postdata($post);
								?>
								<li><a href="<?=the_permalink()?>"><img src="<?php $img = wp_get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail'); echo $img[0]; ?>" alt=""><h4><?=the_title()?></h4><?php the_excerpt(); ?></a></li>
								<?php
	                                endforeach;
	                                wp_reset_postdata();
								?>
							</ul>
						</div>
					</div>
					<div class="info_buttons">
						<div class="button_1">
							<ul>
								<li><a class="but7" href="https://www.youtube.com/channel/UCTr0O3hTWzcAjEgt2HiAugw">BLI Channel on Youtube</a></li>
								<li><a class="but8" href="https://quizlet.com/bliiub">Learn Bangla Vocabulary on Quizlet</a></li>
							</ul>
						</div>
					</div>
					<div class="index_box" style="margin-top:15px;">
						<div class="yt_video" style="padding-right:0px;">
              <a target="_blank" href="https://www.youtube.com/channel/UCTr0O3hTWzcAjEgt2HiAugw"><img style="" src="http://bli.iub.edu.bd/wp-content/uploads/2015/11/yt_channel_pic.png"/></a>
							<!--<iframe width="304" height="220" src="https://www.youtube.com/embed/vV7ru_ds6IU" frameborder="0" allowfullscreen></iframe>-->
						</div>
						<div class="quizlet" style="padding-left:0px;">
							<a href="https://quizlet.com/bliiub" target="_blank"><img src="<?=bloginfo('template_url')?>/images/bb.jpg" alt=""></a>
						</div>
					</div>
					<div class="info_buttons">
						<div class="button_1">
							<ul>
								<li><a class="but1" href="<?=site_url()?>/programs/">BLI Programs</a></li>
								<li><a class="but2" href="<?=site_url()?>/wp-content/uploads/2015/08/Bangla-Language-Program-Application.pdf">Application Form</a></li>
							</ul>
						</div>
						<div class="button_2">
							<ul>
								<li><a class="but3" href="<?=site_url()?>/levels-offered/">Levels Offered</a></li>
								<li><a class="but4" href="<?=site_url()?>/opi-test-administration">OPI Test</a></li>
							</ul>
						</div>
						<div class="button_2">
							<ul>
								<li><a class="but5" href="<?=site_url()?>/housing/">Housing</a></li>
								<li><a class="but6" href="<?=site_url()?>/language-partner/">Language Partner</a></li>
							</ul>
						</div>
					</div>	
				</div>
				<div class="col-md-4 mc_bg">
					<div class="row right_content_2">
						<div class="right_content">
                            <div class="course_title">
								<h3><a href="<?=site_url()?>/course-announcement">Course Announcement</a></h3>
							</div>
						    <?php
                                $args = array(
                                    'type'                     => 'course',
                                    'child_of'                 => 0,
                                    'parent'                   => '',
                                    'orderby'                  => 'name',
                                    'order'                    => 'ASC',
                                    'hide_empty'               => 1,
                                    'hierarchical'             => 1,
                                    'exclude'                  => '',
                                    'include'                  => '',
                                    'number'                   => '',
                                    'taxonomy'                 => 'coursecategory',
                                    'pad_counts'               => false 

                                );

                                $categories = get_categories( $args );
                                foreach($categories as $cat){
                                    $catid = $cat->cat_ID;   
                                
                            ?>
							
							<div class="alumn_title">
								<h3><?=$cat->name?></h3>
							</div>
                               <?php
                                    $args = array(
                                        'post_type' => 'course',
                                        'post_status' => 'publish',
                                        'posts_per_page' => 5,
                                        'tax_query' => array(
                                            array(
                                                'taxonomy' => 'coursecategory',
                                                'field' => 'id',
                                                'terms' => $catid
                                            )
                                        )
                                    );
                                    $the_query = new WP_Query( $args );
                                    while ( $the_query->have_posts() ) : $the_query->the_post();
                                ?>
                                <div class="weekend_course">
                                    <h3><?=the_title()?></h3>
                                </div>
                                <div class="course_details">
                                    <?=the_content()?>
                                </div>
							<?php
                                    endwhile;
                                }      
                            ?>
							<div class="h_contact_us">
								<p><a href="<?=site_url()?>/contact-us/">Contact us for more information</a></p>
							</div>
						</div>
					<div class="right_content">
						<div class="row">
							<div class="h_fb">
								<div class="main_fb">
									<div id="fb-root"></div>
									<script>(function(d, s, id) {
										var js, fjs = d.getElementsByTagName(s)[0];
										if (d.getElementById(id)) return;
										js = d.createElement(s); js.id = id;
										js.src = "//connect.facebook.net/en_US/sdk.js#xfbml=1&version=v2.4";
										fjs.parentNode.insertBefore(js, fjs);
									}(document, 'script', 'facebook-jssdk'));</script>
									<div class="fb-page" data-href="https://www.facebook.com/Bangla.Language.Institute" data-width="280" data-height="300" data-small-header="false" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="true" data-show-posts="false">
										<div class="fb-xfbml-parse-ignore">
											<blockquote cite="https://www.facebook.com/Bangla.Language.Institute">
												<a href="https://www.facebook.com/Bangla.Language.Institute">Bangla Language Institute (BLI)</a>
											</blockquote>
										</div>
									</div>
								</div>
							</div>
							<div class="news_events">
                <a href="<?php site_url()?>/bli/events"><h3>Event Calendar</h3></a>
							</div>
              
						<!-- <div class="example1" style="margin:0 auto"></div> -->

						<div class="col-md-12 pg1_eventCalendar"><?php dynamic_sidebar( 'sidebar-1' ); ?></div>
              			
            
						</div>
					</div>
				</div>
			</section>
		</div>
	</div>

<?php
    get_footer();
?>	